Bug 12991 - Missing assignment in sl_pack_float in the Spotlight RPC server
Missing assignment in sl_pack_float in the Spotlight RPC server
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-27 17:25 UTC by Ralph Böhme
Modified: 2017-11-01 08:47 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.6 and 4.7 cherry-picked from master (1.43 KB, patch)
2017-09-27 09:55 UTC, Ralph Böhme
jra: review+
slow: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-08-27 17:25:14 UTC
Spotted by -Werror=maybe-uninitialized:

../source3/rpc_server/mdssvc/marshalling.c: In function ‘sl_pack_float’:
../source3/rpc_server/mdssvc/marshalling.c:171:11: error:
‘ieee_fp_union.w’ may be used uninitialized in this function

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2017-09-27 09:55:00 UTC
Created attachment 13634 [details]
Patch for 4.6 and 4.7 cherry-picked from master
Comment 2 Jeremy Allison 2017-09-30 00:30:19 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.6.next.
Comment 3 Karolin Seeger 2017-10-24 08:07:43 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-{7,6}-test.
Comment 4 Karolin Seeger 2017-11-01 08:47:18 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!